> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an adverse action notice

> An adverse action notice is required for Reg B and FCRA when an application to grant or increase credit is refused; a counteroffer is made; an credit account is terminated; the terms on the account has an unfavorable change. 




## OpenAPI

````yaml openapi-v1.json post /adverse_actions
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /adverse_actions:
    post:
      tags:
        - Adverse Actions (beta)
      summary: Create an adverse action notice
      description: >
        An adverse action notice is required for Reg B and FCRA when an
        application to grant or increase credit is refused; a counteroffer is
        made; an credit account is terminated; the terms on the account has an
        unfavorable change. 
      operationId: createAdverseAction
      parameters:
        - $ref: '#/components/parameters/idempotency_key'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/adverse_action'
        description: Adverse action notice to be created.
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/adverse_action_response'
          description: Created adverse action notice.
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    idempotency_key:
      description: >-
        An idempotency key is an arbitrary unique value generated by client to
        detect subsequent retries of the same request. It is recommended that a
        UUID or a similar random identifier be used as an idempotency key. A
        different key must be used for each request, unless it is a retry.
      in: header
      name: Idempotency-Key
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        type: string
  schemas:
    adverse_action:
      properties:
        metadata:
          $ref: '#/components/schemas/metadata'
        notification_time:
          description: The date and time the adverse action notice was sent.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
        purpose:
          $ref: '#/components/schemas/purpose'
        reasons:
          description: >-
            Reasons (up to 5) provided to customers when adverse action is
            taken.
          items:
            $ref: '#/components/schemas/reason'
          type: array
        related_resource_id:
          description: Unique identifier for the related resource.
          example: 42ab5301-92b5-4f8a-bbc4-058119d3f7dc
          format: uuid
          type: string
        related_resource_type:
          $ref: '#/components/schemas/related_resource_type'
      required:
        - notification_time
        - purpose
        - reasons
        - related_resource_id
        - related_resource_type
      type: object
    adverse_action_response:
      allOf:
        - $ref: '#/components/schemas/adverse_action'
        - properties:
            creation_time:
              description: The date and time the resource was created.
              example: '2010-05-06T12:23:34.321Z'
              format: date-time
              readOnly: true
              type: string
            id:
              description: Unique identifier for this adverse action notice.
              example: 9980ff38-1876-4fc7-8bc9-bf0490e2f746
              format: uuid
              readOnly: true
              type: string
            last_updated_time:
              description: The date and time the resource was last update.
              example: '2010-05-06T12:23:34.321Z'
              format: date-time
              readOnly: true
              type: string
          required:
            - creation_time
            - id
            - last_updated_time
      type: object
    metadata:
      description: >
        Optional field to store additional information about the resource.
        Intended to be used by the integrator to store non-sensitive data.
      type: object
    purpose:
      description: Purpose or cause of this adverse action notice.
      enum:
        - ACCOUNT_CLOSURE
        - ACCOUNT_OPENING
        - APR_INCREASE
        - LINE_DECREASE
        - OTHER
      type: string
    reason:
      description: Reason provided to customers when adverse action is taken.
      example: Too many inquiries or insufficient credit history
      type: string
    related_resource_type:
      description: The type of the resource related to this adverse action notice.
      enum:
        - ACCOUNT
        - BUSINESS
        - CUSTOMER
      type: string
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````